Bug 182073 - "help' command doesn't work in mysql interactive sessions on FC4
"help' command doesn't work in mysql interactive sessions on FC4
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
: 182072 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-20 02:32 EST by Robinson Tiemuqinke
Modified: 2013-07-02 23:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:02:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2006-02-20 02:32:24 EST
Description of problem:
 can not run 'help *' commands in the mysql interactive sessions.

Version-Release number of selected component (if applicable):
mysql-4.1.16-1.FC4.1, kernel-2.6.15-1.1831_FC4

How reproducible:
happens every time. 

Steps to Reproduce:
1. login in mysqld runing on localhost, FC4 with latest mysql updates.
2. run 'help' will show a menu, but then when run 'mysql contents' or 'mysql 
<any_command>', it fails.
3.
  
Actual results:



mysql> help contents

Nothing found
Please try to run 'help contents' for a list of all accessible topics

mysql> help grant

Nothing found
Please try to run 'help contents' for a list of all accessible topics

mysql> 

Expected results:
mysql> help contents
You asked for help about help category: "Contents"
For more information, type 'help <item>', where item is one of the following
categories:
   Administration
   Column Types
   Data Definition
   Data Manipulation
   Functions
   Geographic features
   Transactions

mysql> help grants
Name: 'SHOW'
Description:

SHOW has many forms that provide information about databases,
tables, columns, or status information about the server.
This section describes those following:

SHOW [FULL] COLUMNS FROM tbl_name [FROM db_name] [LIKE 'pattern']
SHOW CREATE DATABASE db_name
SHOW CREATE TABLE tbl_name
SHOW DATABASES [LIKE 'pattern']
SHOW [STORAGE] ENGINES
SHOW ERRORS [LIMIT [offset,] row_count]
SHOW GRANTS FOR user
SHOW INDEX FROM tbl_name [FROM db_name]
SHOW INNODB STATUS
SHOW [BDB] LOGS
SHOW PRIVILEGES
SHOW [FULL] PROCESSLIST
SHOW STATUS [LIKE 'pattern']
SHOW TABLE STATUS [FROM db_name] [LIKE 'pattern']
SHOW [OPEN] TABLES [FROM db_name] [LIKE 'pattern']
SHOW [GLOBAL | SESSION] VARIABLES [LIKE 'pattern']
SHOW WARNINGS [LIMIT [offset,] row_count]

If the syntax for a given SHOW statement includes a LIKE
'pattern' part, 'pattern' is a string that can contain the SQL %
and _ wildcard characters.
The pattern is useful for restricting statement output to matching values.

mysql> 

Additional info:

 I have all the mysql related packages installed on my FC4 box, and all 
packages are upgraded to cutting-edge.

  Do I have to install MySQL-share and MySQL-compact packages from 
www.mysql.com to see the help messages? Are there any confilction between 
Mysql.com's mysql packages and Redhat's mysql pacakges?

[root@host01 ~]# rpm -qa --queryformat '%{name}-%{version}-%{release}-%{arch}
\n' |grep -i mysql

mysqlclient10-devel-3.23.58-6-x86_64
mod_auth_mysql-2.6.1-4-x86_64
mysql-4.1.16-1.FC4.1-x86_64
mysql-4.1.16-1.FC4.1-i386
mysql-devel-4.1.16-1.FC4.1-x86_64
mysql-server-4.1.16-1.FC4.1-x86_64
mysql-bench-4.1.16-1.FC4.1-x86_64
mysqlclient10-3.23.58-6-x86_64
[root@host01 ~]#
Comment 1 Ignacio Vazquez-Abrams 2006-02-20 02:34:05 EST
*** Bug 182072 has been marked as a duplicate of this bug. ***
Comment 2 Tom Lane 2006-02-20 10:48:55 EST
Hmm, looks like we missed including some documentation files in our packaging. 
Do you happen to know what files this feature relies on?
Comment 3 David Lawrence 2006-02-20 15:29:26 EST

*** This bug has been marked as a duplicate of 182072 ***
Comment 4 David Lawrence 2006-02-20 15:31:58 EST
Oops. Someone already beat me to the duplication except in the other direction.
Reopening...
Comment 5 Jeff Ratliff 2006-02-22 07:34:16 EST
Can verify this behaviour.

When I do 

mysql> source /usr/share/mysql/fill_help_tables.sql

it seems to fix the problem. 
Comment 6 Jeff Ratliff 2006-02-22 07:58:20 EST
Oops.. above should be 

mysql> use mysql
mysql> source /usr/share/mysql/fill_help_tables.sql

Apparently 'mysql' database is where help tables are stored. 
Comment 7 Tom Lane 2006-05-17 21:43:27 EDT
The fill_help_tables script is supposed to be automatically sourced during mysql database initialization.  
However, looking at the past releases I notice that some of the mysql update versions have had invalid 
(dummy) fill_help_tables scripts.  If you had first created the mysql database with such a version, you'd 
have had empty help tables, even if you later updated to a version with a valid fill_help_tables script (as 
you evidently have now).

Does this sound like it might explain your situation?
Comment 9 petrosyan 2008-03-10 00:02:50 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.